module.exports = function wrap(original, beforeHook, afterHook) {
  return function wrapped() {
    beforeHook && beforeHook.call(this)
    const ret = original.apply(this, arguments)
    afterHook && afterHook.call(this, ret)
    return ret
  }
}
